Subject: bug#2092: 23.0.60; vc-svn-diff

From: Nick Roberts <[email-masked]>
Date: Thu, 5 Feb 2009 00:03:01 +1300

> > vc-svn-diff fails when oldvers equals (vc-working-revision f).
 > > In that case "svn diff" executes with no -r argument and only gives
 > > a diff if the file is locally modified.
 > 
 > That's the right behavior when newvers is nil, isn't it?
 > 
 > > I don't see how it could ever work (please note that I'm not saying that
 > > it could never work just that I don't see how it could).
 > 
 > I think it was written assuming (incorrectly) that "newvers == nil".
 > Is the bug fixed if you add (null newvers) to the conjunction?
 > 
 > 
 >         Stefan
 > 
 > 
 > PS: I see you've already removed this code, but I remember we added
 > specifically upon request from some users, so it would be better to fix
 > it than to remove it.

OK, I've looked through the archives.  I find it odd because:

1) I think that svn should be able to work out whether it can handle a
   request locally (a bug in svn?).
2) If you do "C-x v =" there is no problem.
3) I can only see a problem with "C-u C-x v =" with the default values which
   is eqivalent to 2).

So it looks very much like a corner case.

Anyway I've done as you say.

-- 
Nick                                           http://www.inet.net.nz/~nickrob